#pragma once

#ifndef VC_EXTRALEAN
#define VC_EXTRALEAN
#endif

#ifndef WINVER
#define WINVER 0x0502
#endif

#ifndef _WIN32_WINNT
#define _WIN32_WINNT 0x0502
#endif

#ifndef _WIN32_WINDOWS
#define _WIN32_WINDOWS 0x0502
#endif

#ifndef _WIN32_IE
#define _WIN32_IE 0x0600
#endif

//Set the defines to configure how we want the ODBCWrappers to operate
#define CODBCWRAPPERS_MSSQL_EXTENSIONS

#include <Windows.h>

//Pull in support for ATL
#include <atlbase.h>
#include <atlstr.h>

//Pull in support for ODBC
#include <sqlext.h>
#include <odbcss.h>

//Pull in support for STL
#include <string>
#include <vector>
#include <memory>
#include <algorithm>
